<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use App\Models\PayType;
use Filament\Forms\Components\Select;

class PayTypeSelect extends Select
{
    public static function create(): static
    {
        return parent::make('pay_type_id')
            ->label('نوع پرداخت')
            ->options(function () {
                return PayType::all()->pluck('title', 'id');
            })
            ->searchable()
            ->preload()
            ->columnSpan(6);
    }
}
